## tvoe 0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(tvoe C)

add_definitions("-std=c99 -Wall -D_XOPEN_SOURCE=700 -flto") 
set(CMAKE_BUILD_TYPE Release)

include(FindBISON)
include(FindFLEX)
include(FindPkgConfig)
find_package(BISON)
find_package(FLEX)
find_path(BITSTREAM_INCLUDE_DIR bitstream/common.h)

pkg_check_modules(GLIB REQUIRED glib-2.0)
pkg_check_modules(EVENT REQUIRED libevent)
pkg_check_modules(EVENT-THREAD REQUIRED libevent_pthreads)

BISON_TARGET(ConfigParser config_parser.y
	${CMAKE_CURRENT_BINARY_DIR}/config_parser.c)
FLEX_TARGET(ConfigLexer config_lexer.l
	${CMAKE_CURRENT_BINARY_DIR}/config_lexer.c)
ADD_FLEX_BISON_DEPENDENCY(ConfigLexer ConfigParser)

INCLUDE_DIRECTORIES($(CMAKE_CURRENT_SOURCE_DIR)
${CMAKE_CURRENT_BINARY_DIR}
${GLIB_INCLUDE_DIRS}
${BITSTREAM_INCLUDE_DIR})

ADD_EXECUTABLE(tvoe
	${BISON_ConfigParser_OUTPUTS} ${FLEX_ConfigLexer_OUTPUTS}
	tvoe.c http.c frontend.c log.c mpeg.c channels.c)
TARGET_LINK_LIBRARIES(tvoe
	${EVENT_LIBRARIES} ${EVENT-THREAD_LIBRARIES}
	${GLIB_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})

=== debian/changelog ===
tvoe (0.1-1) unstable; urgency=low

  * tvoe

 -- Dominik Paulus <iridium@sieglitzhof.net>  Fri, 15 Aug 2014 22:20:50 +0200

=== debian/control ===
Source: tvoe
Section: utils
Priority: optional
Maintainer: Dominik Paulus <iridium@sieglitzhof.net>
Uploaders: Christoph Egger <christoph@debian.org>
Build-Depends:
 debhelper (>= 9~),
 cmake,
 libevent-dev,
 libglib2.0-dev,
 pkg-config,
 libbitstream-dev,
 flex,
 bison
Standards-Version: 3.9.6
Vcs-Git: git://git.faui2k11.de/tvoe.git

Package: tvoe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Suggests: dvb-apps
Description: Lightweight DVB-S/S2 TV streaming server
 tvoe is a small DVB-S/DAB-S streaming server inspired by the getstream
 utility, but with support for managing multiple tuners by one process and
 dynamically assigning available tuners to new clients.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	install -m 644 -D tvoe.conf.example debian/tvoe/etc/tvoe/tvoe.conf

## tvoe 0.1+git20190112.9ff09d9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(tvoe CXX)

add_definitions("-std=c++11 -Wall -D_XOPEN_SOURCE=700 -flto")
set(CMAKE_BUILD_TYPE Debug)

include(FindBISON)
include(FindFLEX)
include(FindPkgConfig)
find_package(BISON)
find_package(FLEX)
find_path(BITSTREAM_INCLUDE_DIR bitstream/common.h)

pkg_check_modules(GLIB REQUIRED glib-2.0)
pkg_check_modules(EVENT REQUIRED libevent)
pkg_check_modules(EVENT-THREAD REQUIRED libevent_pthreads)
pkg_check_modules(DVBV5 REQUIRED libdvbv5)

BISON_TARGET(ConfigParser config_parser.y
	${CMAKE_CURRENT_BINARY_DIR}/config_parser.cpp)
FLEX_TARGET(ConfigLexer config_lexer.l
	${CMAKE_CURRENT_BINARY_DIR}/config_lexer.cpp)
ADD_FLEX_BISON_DEPENDENCY(ConfigLexer ConfigParser)

INCLUDE_DIRECTORIES($(CMAKE_CURRENT_SOURCE_DIR)
${CMAKE_CURRENT_BINARY_DIR}
${GLIB_INCLUDE_DIRS}
${DVBV5_INCLUDE_DIRS}
${BITSTREAM_INCLUDE_DIR})

ADD_EXECUTABLE(tvoe
	${BISON_ConfigParser_OUTPUTS} ${FLEX_ConfigLexer_OUTPUTS}
	tvoe.cpp http.cpp frontend.cpp log.cpp mpeg.cpp channels.cpp)
TARGET_LINK_LIBRARIES(tvoe
	${EVENT_LIBRARIES} ${EVENT-THREAD_LIBRARIES}
	${GLIB_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT}
	${DVBV5_LIBRARIES})

=== debian/changelog ===
tvoe (0.1+git20190112.9ff09d9-2) unstable; urgency=medium

  * Team upload.
  * d/rules: cmake -DCMAKE_POLICY_VERSION_MINIMUM=3.5 (Closes: #1113590)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Mon, 01 Sep 2025 20:53:52 +0200

tvoe (0.1+git20190112.9ff09d9-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Latest upstream commit
    Closes: #1075592
  * Maintain package in Salvage team
    Closes: #1094926
  * Add Homepage
  * d/watch: point to latest upstream commit
  * d/copyright: header
  * Build-Depends: libdvbv5-dev
  * Build-Depends: s/pkg-config/pkgconf/
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)

  [ наб ]
  * d/tvoe.service: add (Closes: #1039400)
    + d/control: Pre-Depends: ${misc:Pre-Depends}
  * d/copyright: space-in-std-shortname-in-dep5-copyright isc license

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sat, 05 Jul 2025 06:55:23 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5

override_dh_auto_install:
	install -m 644 -D tvoe.conf.example debian/tvoe/etc/tvoe/tvoe.conf

=== debian/watch ===
version=4

opts="mode=git,pretty=0.1+git%cd.%h" \
    https://github.com/dominikpaulus/tvoe.git HEAD
